hakyll-4.7.5.1: A static website compiler library

Safe Haskell | None
Language | Haskell98

Hakyll.Core.File

Description

Exports simple compilers to just copy files

Synopsis

- newtype CopyFile = CopyFile FilePath
- copyFileCompiler :: Compiler (Item CopyFile)
- newtype TmpFile = TmpFile FilePath
- newTmpFile :: String -> Compiler TmpFile

# Documentation

newtype CopyFile Source

This will copy any file directly by using a system call

Constructors

CopyFile FilePath |

Instances

Eq CopyFile Source |
Ord CopyFile Source |
Show CopyFile Source |
Binary CopyFile Source |
Writable CopyFile Source |

copyFileCompiler :: Compiler (Item CopyFile) Source

newtype TmpFile Source

Constructors

TmpFile FilePath |

Instances

Binary TmpFile Source |
Writable TmpFile Source |

newTmpFile Source

Arguments

:: String | Suffix and extension
-> Compiler TmpFile | Resulting tmp path

Create a tmp file